Package org.apache.batchee.container.impl.controller

## Class PartitionedStepController

- java.lang.Object
- - org.apache.batchee.container.impl.controller.BaseStepController
  - - org.apache.batchee.container.impl.controller.PartitionedStepController

- All Implemented Interfaces:
    `Controller`, `ExecutionElementController`

      public class PartitionedStepController
      extends BaseStepController

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<javax.batch.api.listener.StepListener>` | `stepListeners` |

    - ### Fields inherited from class org.apache.batchee.container.impl.controller.BaseStepController

      `analyzerStatusQueue, jobExecutionImpl, jobInstance, kernelService, persistenceManagerService, restartAfterCompletion, rootJobExecutionId, step, stepContext, stepName, stepStatus, transactionManager`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PartitionedStepController​(RuntimeJobExecution jobExecutionImpl, Step step, StepContextImpl stepContext, long rootJobExecutionId, ServicesManager servicesManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `invokeCoreStep()` |
    `protected void` | `invokePostStepArtifacts()` |
    `protected void` | `invokePreStepArtifacts()` |
    `protected void` | `sendStatusFromPartitionToAnalyzerIfPresent()` |
    `protected void` | `setupStepArtifacts()` |
    `void` | `stop()` |

    - ### Methods inherited from class org.apache.batchee.container.impl.controller.BaseStepController

      `execute, getLastRunStepExecutions, isRestartExecution, markJobAndStepFailed, persistExitStatusAndEndTimestamp, persistUserData, resolveUserData, setParentStepContext, setStepContext, shouldStepBeExecuted, statusStarting, storeUserData, toString, updateBatchStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### stepListeners

          protected List<javax.batch.api.listener.StepListener> stepListeners

  - ### Constructor Detail

    - #### PartitionedStepController

          protected PartitionedStepController​(RuntimeJobExecution jobExecutionImpl,
                                              Step step,
                                              StepContextImpl stepContext,
                                              long rootJobExecutionId,
                                              ServicesManager servicesManager)

  - ### Method Detail

    - #### stop

          public void stop()

    - #### invokeCoreStep

          protected void invokeCoreStep()
                                 throws javax.batch.operations.JobRestartException,
                                        javax.batch.operations.JobStartException,
                                        javax.batch.operations.JobExecutionAlreadyCompleteException,
                                        javax.batch.operations.JobExecutionNotMostRecentException

      Specified by:
        `invokeCoreStep` in class `BaseStepController`
      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobStartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`

    - #### setupStepArtifacts

          protected void setupStepArtifacts()

      Specified by:
        `setupStepArtifacts` in class `BaseStepController`

    - #### invokePreStepArtifacts

          protected void invokePreStepArtifacts()

      Specified by:
        `invokePreStepArtifacts` in class `BaseStepController`

    - #### invokePostStepArtifacts

          protected void invokePostStepArtifacts()

      Specified by:
        `invokePostStepArtifacts` in class `BaseStepController`

    - #### sendStatusFromPartitionToAnalyzerIfPresent

          protected void sendStatusFromPartitionToAnalyzerIfPresent()

      Specified by:
        `sendStatusFromPartitionToAnalyzerIfPresent` in class `BaseStepController`